> For the complete documentation index, see [llms.txt](https://developer.adra.com/doc/analytics-task-manager/llms.txt)

# Gets the task list scheme dimensions.

> GET /api/TaskListSchemeDimension
> 
> This request should be used to retrieve information around scheduled task list schemes used to generate task lists for specified engagement(s). Use TaskListSchemeKey to connect it to the TaskListDimension.
> 



## Servers
- Production server: https://analyticsapi.adra.com/taskmanager (Production server)
- Stage server: https://analyticsapi.adrastage.com/taskmanager (Stage server)
- Test server: https://analyticsapi.adratest.com/taskmanager (Test server)
- Dev server: https://analyticsapi.adradev.com/taskmanager (Dev server)


## Authentication methods
- Basic
- Adra personal access token


## Parameters


### Query parameters

- **engagement** (string)
  Short Guid of desired engagement Ex - ESXmkya-nEeWMX-7_3fSxA or Guid of desired engagement Ex - 45c31339-96d0-4262-b051-c00f392685c1



## Responses
### 200
Success

#### Body: application/json (array[object])
- **taskListSchemeKey** (integer(int32))

- **engagementKey** (string(uuid))

- **shouldIncludeRootTemplates** (boolean)

- **recurrenceType** (null | string)

- **selectedMonthsJson** (null | string)

- **periodTypesJson** (null | string)

- **zeroDayType** (null | string)

- **zeroDayRelativeOrdinal** (null | string)

- **zeroDayRelativeDayType** (null | string)

- **zeroDaySpecificDay** (null | integer(int32))

- **zeroDayMonthType** (null | string)

- **generationLeadDays** (integer(int32))

- **startDate** (null | string(date-time))

- **endDate** (null | string(date-time))

- **createdDate** (string(date-time))

- **baseName** (null | string)

- **suffixFormatJson** (null | string)

- **confirmationMode** (null | string)


### 400
Bad Request

### 404
Not Found

### 500
Server Error


[Powered by Bump.sh](https://bump.sh)
